> ## Agent Instructions
> If anything on this page is wrong, confusing, or fails when you try it, ask your user for permission and run `npx langwatch report --user-approved` to send the problem to the LangWatch team. No login is needed and secrets are redacted locally. `npx langwatch report --help` has the details.

# List entries of a dataset

List entries of a dataset (paginated). Same as GET /:slugOrId/records.

> Page: https://langwatch.ai/docs/api-reference/datasets/get-entries
> Source: https://github.com/langwatch/langwatch/blob/main/docs/api-reference/datasets/get-entries.mdx
> Index of all pages: https://langwatch.ai/docs/llms.txt

## Endpoint

`GET https://app.langwatch.ai/api/v1/dataset/{datasetSlug}/entries`

## Authentication

### project_api_key

Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.

```json
{"id":"project_api_key","type":"apiKey","in":"header","name":"X-Auth-Token"}
```

## Parameters

### datasetSlug (path, required)

```json
{"type":"string"}
```

### page (query, optional)

```json
{"default":1,"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991}
```

### limit (query, optional)

```json
{"default":50,"type":"integer","exclusiveMinimum":0,"maximum":1000}
```

## Request example

```bash
curl --request GET \
  --url 'https://app.langwatch.ai/api/v1/dataset/<datasetSlug>/entries' \
  --header "X-Auth-Token: $LANGWATCH_API_KEY"
```

## Responses

### 200

Success

#### application/json

Schema:

```json
{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {"type":"string","minLength":1},
          "datasetId": {"type":"string","minLength":1},
          "projectId": {"type":"string","minLength":1},
          "entry": {
            "type": "object",
            "propertyNames": {"type":"string"},
            "additionalProperties": {}
          },
          "createdAt": {"type":"string","format":"date-time"},
          "updatedAt": {"type":"string","format":"date-time"}
        },
        "required": ["id","datasetId","projectId","entry","createdAt","updatedAt"],
        "additionalProperties": false
      }
    },
    "pagination": {
      "type": "object",
      "properties": {
        "page": {"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},
        "limit": {"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},
        "total": {"type":"integer","minimum":0,"maximum":9007199254740991},
        "totalPages": {"type":"integer","minimum":0,"maximum":9007199254740991}
      },
      "required": ["page","limit","total","totalPages"],
      "additionalProperties": false
    },
    "dataset": {
      "type": "object",
      "properties": {
        "id": {"type":"string"},
        "name": {"type":"string"},
        "slug": {"type":"string"},
        "columnTypes": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "name": {"type":"string","minLength":1},
              "type": {
                "type": "string",
                "enum": [
                  "string",
                  "boolean",
                  "number",
                  "date",
                  "list",
                  "json",
                  "spans",
                  "rag_contexts",
                  "chat_messages",
                  "annotations",
                  "evaluations",
                  "image",
                  "file"
                ]
              }
            },
            "required": ["name","type"],
            "additionalProperties": false
          }
        },
        "createdAt": {"type":"string","format":"date-time"},
        "updatedAt": {"type":"string","format":"date-time"},
        "platformUrl": {"type":"string"}
      },
      "required": ["id","name","slug","columnTypes","createdAt","updatedAt","platformUrl"],
      "additionalProperties": false
    }
  },
  "required": ["data","pagination"],
  "additionalProperties": false
}
```
